commit:     45eb385389e110ffa1b53f871b5f01b03846a635
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  7 21:33:04 2026 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Feb  7 23:22:54 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45eb3853

app-emulation/faudio: add 26.02

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-emulation/faudio/Manifest            |  1 +
 app-emulation/faudio/faudio-26.02.ebuild | 41 ++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/app-emulation/faudio/Manifest b/app-emulation/faudio/Manifest
index 0efdf8fc54bd..2baceb23c60d 100644
--- a/app-emulation/faudio/Manifest
+++ b/app-emulation/faudio/Manifest
@@ -1 +1,2 @@
 DIST faudio-26.01.tar.gz 1131781 BLAKE2B 
ac3711e28136ddf751472685a3fb646851a1e24cc177d82aebf7bfce84b5d06a67ed5ec089718bc2dc7f053829605a21ec2e3a857305569b4031a4080945a8ad
 SHA512 
004567c6339ce006afbf19c44ee88e4fab8bfcd7b3e50b25058569584cd0caa891aeaf7087089bafabd646e9739ccc036f984f9f0fb271ba154406e1d30eb2e1
+DIST faudio-26.02.tar.gz 1132096 BLAKE2B 
e65dd37287544eee771d702b29d2979a0d7ff1ec0d55ee556a546a958e00348a5c51f8f3c72dc5471ec28522c797a1fa7ebf1e9fe88f6185e88abfe388aaaf52
 SHA512 
5897c6578593e744a6511d1628a0d6ca5c01104bbefa4bfcf2c7d7ada8d439380d40cddfd95886eaf3ea7e835fa6c20236bfc9141561afb3459bd10797239714

diff --git a/app-emulation/faudio/faudio-26.02.ebuild 
b/app-emulation/faudio/faudio-26.02.ebuild
new file mode 100644
index 000000000000..70f5ae591a4b
--- /dev/null
+++ b/app-emulation/faudio/faudio-26.02.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib flag-o-matic
+
+DESCRIPTION="Accuracy-focused XAudio reimplementation for open platforms"
+HOMEPAGE="https://fna-xna.github.io/";
+SRC_URI="https://github.com/FNA-XNA/FAudio/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/FAudio-${PV}"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug dumpvoices sdl3 test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       sdl3? ( media-libs/libsdl3[${MULTILIB_USEDEP}] )
+       !sdl3? ( media-libs/libsdl2[${MULTILIB_USEDEP},sound] )
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+       append-cppflags -D_DEFAULT_SOURCE # usleep() in tests
+       use debug || append-cppflags -DFAUDIO_DISABLE_DEBUGCONFIGURATION
+
+       local mycmakeargs=(
+               -DBUILD_SDL3="$(usex sdl3)"
+               -DBUILD_TESTS="$(usex test)"
+               -DDUMP_VOICES="$(usex dumpvoices)"
+       )
+
+       cmake-multilib_src_configure
+}
+
+multilib_src_test() {
+       einfo "Running faudio_tests, this may take some time without output..."
+       SDL_AUDIODRIVER=dummy "${BUILD_DIR}"/faudio_tests || die
+}

Reply via email to